aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--configure.in2
-rw-r--r--macros/autogen.sh10
2 files changed, 12 insertions, 0 deletions
diff --git a/configure.in b/configure.in
index 3aacc9837a..821fc1220c 100644
--- a/configure.in
+++ b/configure.in
@@ -13,6 +13,8 @@ PACKAGE=evolution
AM_INIT_AUTOMAKE($PACKAGE, $VERSION)
AC_SUBST(VERSION)
+dnl Initialize xml-i18n-tools
+AM_PROG_XML_I18N_TOOLS
dnl Initialize libtool
AM_PROG_LIBTOOL
diff --git a/macros/autogen.sh b/macros/autogen.sh
index 59c4d0e381..43d7d3f63d 100644
--- a/macros/autogen.sh
+++ b/macros/autogen.sh
@@ -17,6 +17,16 @@ fi
DIE=1
}
+(grep "^AM_PROG_XML_I18N_TOOLS" $srcdir/configure.in >/dev/null) && {
+ (xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "**Error**: You must have \`xml-i18n-toolize' installed to compile Gnome."
+ echo "Get ftp://ftp.gnome.org/pub/GNOME/stable/sources/xml-i18n-tools/xml-i18n-tools-0.6.tar.gz"
+ echo "(or a newer version if it is available)"
+ DIE=1
+ }
+}
+
(grep "^AM_PROG_LIBTOOL" $srcdir/configure.in >/dev/null) && {
(libtool --version) < /dev/null > /dev/null 2>&1 || {
echo